#ifndef _ConfigLineEdit_h__
#define _ConfigLineEdit_h__

#include <QLineEdit>
#include <QStringList>

class ConfigLineEdit : public QLineEdit {

    Q_OBJECT

  public:
    ConfigLineEdit(const QString &key, const QString &defaultValue = "");
    virtual ~ConfigLineEdit();

    void setTextAndSave(const QString &s);

  private slots:

    void onChange();

  private:
    const QString key;
};

#endif